xmlgraphics-fop-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Eric Douglas" <edoug...@blockhouse.com>
Subject RE: FOP Trunk
Date Tue, 08 Jun 2010 19:16:00 GMT
I'm not sure I understand what you're saying about a simpler way to
build the project without the Ant builder.
I tried using Subclipse to checkout and it made it into a project which
looks nothing like the image you attached.

  <<Picture (Device Independent Bitmap)>> 

-----Original Message-----
From: Jeremias Maerki [mailto:dev@jeremias-maerki.ch] 
Sent: Tuesday, June 08, 2010 11:08 AM
To: fop-dev@xmlgraphics.apache.org
Subject: Re: FOP Trunk

Eric, resorting to the Ant Builder in Eclipse shouldn't be necessary.
It's just too slow for efficient work. I'm attaching a screenshot from
one of my working copies so you can see what needs to be set up. Before
doing that, just execute "ant resourcegen" once and that should set up
all generated files you'll need.

Note that the jimi-1.0.jar is not really necessary. It's there for
historical reasons. And XMLUnit can be found at
http://xmlunit.sourceforge.net/

On 08.06.2010 16:29:34 Eric Douglas wrote:
> I solved the issues this morning.
> I looked up Eclipse and ant building and determined that build project

> doesn't work.
> Instead of using the normal Build Project option, I have to open the 
> project, find the build.xml, right click it, and select Run As ant 
> build.
> Of course to make that work I had to download 3 jars separately and 
> add them to the build path.
> ant.jar
> http://ant.apache.org/bindownload.cgi
> fop-hyph.jar
> http://cdnetworks-us-2.dl.sourceforge.net/project/offo/offo-hyphenatio
> n/ 1.2/offo-hyphenation-fop-stable_v1.2.zip
> jai-core-1.1.3-alpha.jar
> http://mirrors.ibiblio.org/pub/mirrors/maven/geoserver/maven/jai/jars/
> ja
> i-core-1.1.3-alpha.jar
> 
> Ant was the easiest to find.  The others took a bit of digging. I'm 
> not sure that's the official location for the jai but that jar works.
> I got a warning on a jre reference in the build path so I removed that

> and added the JRE System Library.
> Adding the 3 jars and using the ant option on the build.xml worked for

> the 0.95 source and the trunk.
> 
> Now the question is, where's the what's new?  What's the difference 
> between 0.95 and the trunk?
> 
> 
> -----Original Message-----
> From: Jeremias Maerki [mailto:dev@jeremias-maerki.ch]
> Sent: Thursday, May 27, 2010 10:52 AM
> To: fop-dev@xmlgraphics.apache.org
> Subject: Re: FOP Trunk
> 
> On 27.05.2010 16:36:53 Eric Douglas wrote:
> > I'm not sure what "ran that through ant" means.  That is likely the
> problem.
> 
> Apache Ant is our build tool used to compile FOP. 
> http://ant.apache.org See also: 
> http://xmlgraphics.apache.org/fop/trunk/compiling.html
> 
> > I'll try the Eclipse setup.  Thanks Jeremias for this:
> > http://wiki.apache.org/xmlgraphics-fop/FOPIDESetupGuide should help
> here.
> > 
> > I tried that link and it says I need Subclipse.  I try the link to
> download on this site:
> > http://subclipse.tigris.org/subclipse/changes.html
> > It says I need a username and password to login to their server. 
> 
> Just use http://subclipse.tigris.org/update_1.6.x as Eclipse Update 
> Site to install the Subclipse plug-in. No login required.
> 
> But you can also skip Subclipse and set up your Eclipse project from 
> another FOP working copy made with some other SVN client. Using 
> Subclipse is just one way to do it.
> 
> > I did identify the jai jars I need.  I just don't know where to find
> them.  I tried downloading them from here:
> > https://jai-imageio.dev.java.net/binary-builds.html#Stable_builds
> > Using the link to the file jai_imageio-1_1-lib-windows-i586-jar.zip 
> > I just get a zip file containing one jar which contains an exe which

> > wants to install tools.  Is there a place to download those 2 jars 
> > or do I find them from that install?
> 
> I don't think so. The installation executable is there because they 
> install a native DLL alongside the JARs. You could install it, copy 
> away the two JARs and then uninstall it again. The native part is not 
> strictly required.
> 
> Feel free to improve the Wiki page as you see fit.




Jeremias Maerki

Mime
View raw message